﻿using Abp.Json;
using BCS.BMC.Controllers;
using BCS.BMC.FirebaseCloudMessaging;
using BCS.BMC.FirebaseCloudMessaging.Dto;
using BCS.BMC.Models.TokenAuth;
using FirebaseAdmin.Messaging;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace BCS.BMC.Web.Controllers
{
    //[Route("api/notification")]
    //[ApiController]
    public class FirebaseNotificationController : BMCControllerBase
    {
        private readonly FirebaseNotificationAppService _notificationService;

        public FirebaseNotificationController(FirebaseNotificationAppService notificationService)
        {
            _notificationService = notificationService;
        }

        [Route("send")]
        [HttpPost]
        public async Task<IActionResult> Notification( [FromBody] FireBaseResponseModel notification)
        {
            var result = await FirebaseNotificationAppService.SendNotification(notification);
          // FcmTokenResponseModel results = JsonConvert.DeserializeObject<FcmTokenResponseModel>(result).ToJsonString();
            return Ok(result.Responses);
        }
    }
}
